Subject: Re: bug#1754: 23.0.60; tool-bar is shown with tool-bar-mode off

From: Lennart Borgman <[email-masked]>
Date: Mon, 12 Jan 2009 20:33:02 +0100

On Mon, Jan 12, 2009 at 7:29 PM, Stefan Monnier
<[email-masked]> wrote:
> The problem is that tool-bar-mode, and menu-bar-mode and too coarse:
> they offer no way for the user to say whether he wants it to apply to
> every single frame, or only to those currently displayed, or only the
> current one, or only those on the current terminal, ...
>
> Also, making them work right would probably require keeping track for
> each and ever frame of where its parameters came from.  So tool-bar-mode
> could just set default-frame-alist and then "refresh" every
> frame's parameters.

Isn't that a good general structure for all kinds of local/global settings?